Default packages are overridden by host package even if not specified registration form

06/11/2021 08:27 AM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee: Leos Stejskal   

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases: 2.5.3, 3.0.0

Triaged: No Found in Releases:  

Bugzilla link: 1967066 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8680,

https://github.com/theforeman/foreman/p

ull/8707

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1967066

Description of problem:

[global registration] - default packages are overridden by host package even if not specified registration form (--force should work)

Version-Release number of selected component (if applicable):

Satellite 6.10 snap 2

How reproducible:

always

Steps to Reproduce:

1. fill the registration form with filling the package name e.g. php

2. generate the registration command

3. register host with command

4. now fill the 'host packages' parameter in the organization e.g. vim emacs mlocate

5. reregister the host again with --force option check

Actual results:

Host get registered with installing old packages

Expected results:

Host should get re-registered with installing default packages

Additional info:

--force should clean the host pacakge parameter from the host if not overridden

Associated revisions

Revision fe6b3648 - 07/28/2021 01:19 PM - Leos Stejskal

Fixes #32780 - Delete host params when register host

History

#1 - 06/11/2021 08:30 AM - Leos Stejskal

- Subject changed from [global registration] - default packages are overridden by host package even if not specified registration form to Default

packages are overridden by host package even if not specified registration form

- Category set to Host registration

#2 - 07/20/2021 11:14 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8680 added
#3 - 07/28/2021 01:19 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#4 - 07/28/2021 02:08 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|fe6b364852abf2091687b55f592ab0166b253508.

#5 - 08/05/2021 10:15 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8707 added

#6 - 08/05/2021 12:22 PM - Tomer Brisker

- Assignee set to Leos Stejskal

- Fixed in Releases 2.5.3 added
